

/*
 * Browser example snippet: bring up a browser
 *
 * For a list of all SWT example snippets see
 * http://www.eclipse.org/swt/snippets/
 * 
 * @since 3.0
 */
import org.eclipse.swt.SWT;
import org.eclipse.swt.SWTError;
import org.eclipse.swt.browser.Browser;
import org.eclipse.swt.browser.CloseWindowListener;
import org.eclipse.swt.browser.WindowEvent;
import org.eclipse.swt.layout.FillLayout;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Shell;

public class Snippet128 {
	/*static {
		System.setProperty("org.eclipse.swt.browser.XULRunnerPath", "E:/xulrunner_10"); 
    }*/
	/*
	static {
	System.setProperty("org.eclipse.swt.browser.XULRunnerPath", "E:/xulrunner-10.0.4"); 
}*/

	boolean Fine=false;
	Display display =null;
	Browser browser=null;
	Shell shell = null;
	FillLayout layout = null;
	
public Snippet128(String path){
	System.setProperty("org.eclipse.swt.browser.XULRunnerPath", path+"\\xulrunner-10.0.2");
	display = new Display();
	shell = new Shell(display);
	layout = new FillLayout();
	shell.setLayout(layout);

	

	try {
		//browser = new Browser(shell, SWT.NONE);
		browser = new Browser(shell, SWT.MOZILLA);
	} catch (SWTError e) {
		System.out.println("Could not instantiate Browser: " + e.getMessage());
		display.dispose();
		return;
	};

	browser.addCloseWindowListener(new CloseWindowListener(){
		public void close(WindowEvent event){
			//quando l'evento sta accadendo 
			System.out.println("Sentiro un close.");
		}
	});
	shell.open();
}

public void SetString(String html,boolean file ){
	if (file){
		// read from file
		browser.setUrl("file://"+html+"/");	
	}else{
		//read from string
		browser.setText(html);
	}
		
	//browser.setUrl("http://get.webgl.org/");
}

public void Lancia_Browser(){
	while ((!shell.isDisposed()) && (!Fine)) {
		if (!display.readAndDispatch())
			display.sleep();
	}
	display.dispose();	
}

public void Close() {
	Fine=true;
}

	public static void main(String [] args) {
		String path=System.getProperty("user.dir");
		Snippet128 P=new Snippet128(path);
		String html = "<HTML><HEAD><TITLE>HTML Test</TITLE></HEAD><BODY>";
		for (int i = 0; i < 100; i++) html += "<P>This is line "+i+"</P>";
		html += "</BODY></HTML>";
		P.SetString (html,false);
    	P.Lancia_Browser();
	}
}